Subject: Re: [PATCH net] net: dlink: mask rx_coalesce/rx_timeout before writing RxDMAIntCtrl

From: "Yeounsu Moon" <[email-masked]>
Date: Sat, 27 Dec 2025 17:55:40 +0900

Hi Andrew,

Sorry for the late reply. I recently started a new job and have been
busy.

On Tue Dec 23, 2025 at 6:43 PM KST, Andrew Lunn wrote:
>
> It would be better to do range checks in rio_probe1() and call
> netdev_err() and return -EINVAL?
>
> Anybody trying to use very large values then gets an error message
> rather than it working, but not as expected.
>
I was planning to add the range checks in rio_probe1() in the next merge
window to keep this patch small, but I agree it's better to include them now.
I'll send a v2 with the checks added.

Thanks for the review.

    Yeounsu Moon